Retrieve order information
Use this method to extract information about orders in the Avangate platform.
Request parameters
Parameter
Type / Description
sessionID
String
Session identifier string, output of the Login method. An exception is thrown if the values are incorrect.
refNo
String
Order reference number of an existing approved/paid order.
Request sample
<?php
require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
$refNo = 'YOUR_ORDER_REFERENCE'
try {
$getOrder = $client->getOrder($sessionID, $refNo);
} catch (SoapFault $e) {
echo "getOrder: " . $e->getMessage() ;
}
var_dump ($getOrder);Response parameters
Parameter
Type
Object
Last updated
Was this helpful?